Skip to navigation

Delete master shipment

This API allows users to delete a master shipment identified by a unique shipment identifier (USI) and the shipper’s account number. The master shipment and its associated child shipments will be permanently removed.

Authentication

AuthorizationBearer
Find your Client ID and Secret on your app info page. 1. Select "Try It" 2. In the Security section enter your Client ID and Secret 3. Select "Request Token" 4. Enter any additional information in the Body and Parameters sections 5. Select "Send" to execute your API request"

Path parameters

versionenumRequiredDefaults to v1
version
Allowed values:
usi-numberstringRequiredformat: "^(?:[0-9]{10}|[0-9]{9}T)$"

The unique shipment identifier (USI) is used to create Master, LTL and Child shipments. Used for Freight shipments.

Headers

transIdstringRequired
An identifier unique to the request.
transactionSrcstringRequired

Identifies the client/source application that is calling.

Query parameters

shipper_account_numberstringRequiredformat: "^[A-Z0-9]{6}$"

The unique shipment identifier (USI) is used to create Master, LTL and Child shipments. Used for Freight shipments.

Response headers

BkndTransIdstringOptional
The backend transaction id.
TransIdstringOptional
An identifier unique to the request.
transactionSrcstringOptional

Identifies the client/source application that is calling.

Response

Master shipment deleted successfully

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error